1、在openwrt编译的时候出现错误

you should not run configure as root (set FORCE_UNSAFE_CONFIGURE=1 in environment to bypass this

解决办法:

export FORCE_UNSAFE_CONFIGURE=1

2、编译时luci-app-samba无法取消

Extra packages ---> < > autosamba
LuCI ---> 3. Applications ---> < > luci-app-samba

3、支持 iPv6:

1、Extra packages  --->  ipv6helper  (选定这个后下面几项自动选择了)
Network  --->  odhcp6c
Network  --->  odhcpd-ipv6only
LuCI  --->  Protocols  --->  luci-proto-ipv6
LuCI  --->  Protocols  --->  luci-proto-ppp

4、打开适用于VMware的VM Tools

Utilities  --->  open-vm-tools  #打开适用于VMware的VM Tools
Utilities  --->  open-vm-tools-fuse  #打开适用于VMware的VM Tools

5、第二次编译:
cd lede # 进入LEDE目录
git pull # 同步更新大雕源码
./scripts/feeds update -a && ./scripts/feeds install -a # 更新Feeds
rm -rf ./tmp && rm -rf .config # 清除编译配置和缓存
make menuconfig # 进入编译配置菜单
make -jn V=99 # 开始编译 n=线程数+1,例如4线程的I5填-j5

6、编译丰富插件时,建议修改下面两项默认大小,留足插件空间。( x86/64 )
Target Images ---> (16) Kernel partition size (in MB) #默认是 (16) 建议修改 (256)
Target Images ---> (160) Root filesystem partition size (in MB) #默认是 (160) 建议修改 (767.7)

lede源码链接

https://github.com/coolsnowwolf/lede

插件源码链接

src-git helloworld https://github.com/fw876/helloworld
src-git kenzo https://github.com/V2RaySSR/openwrt-packages
src-git small https://github.com/kenzok8/small

argon主题
https://github.com/jerrykuku/luci-theme-argon/

Lean源码编译

cd lede/package/lean  
rm -rf luci-theme-argon  
git clone -b 18.06 https://github.com/jerrykuku/luci-theme-argon.git  
make menuconfig #choose LUCI->Theme->Luci-theme-argon  
make -j1 V=s  

标签: none

评论已关闭